# mongoc_apm_server_heartbeat_failed_t

Heartbeat-failed event

## Synopsis

An event notification sent when the driver failed to send a “hello” command to check the status of a server.

See also

Introduction to Application Performance Monitoring

## Functions

- mongoc_apm_server_heartbeat_failed_get_awaited()
- mongoc_apm_server_heartbeat_failed_get_context()
- mongoc_apm_server_heartbeat_failed_get_duration()
- mongoc_apm_server_heartbeat_failed_get_error()
- mongoc_apm_server_heartbeat_failed_get_host()